Create Cloud Credential

SecurityHTTPBearer
Request
Request Body schema: application/json
required
name
required
string (Name) non-empty
hostname
string (Hostname)
Default: ""
username
required
string (Username) non-empty
secret
required
string (Secret) non-empty
verify_certs
boolean (Verify Certs)
Default: true
note
string (Note)
Default: ""
appliance_id
required
string <uuid> (Appliance Id)
cred_type
string (Cred Type)
Default: "amazons3"
Value: "amazons3"
Region Code (string) or Region Code (null) (Region Code)
skip_validation
boolean (Skip Validation)
Default: false
Responses
202

Cloud credential creation accepted; command dispatched to edge

401

Not authenticated

403

Insufficient permissions

404

Appliance with the given ID does not exist

422

Validation Error

500

Internal server error

503

Edge appliance is unreachable (no recent heartbeat)

post/cloud-credentials
Request samples
application/json
{
  • "name": "string",
  • "hostname": "",
  • "username": "string",
  • "secret": "string",
  • "verify_certs": true,
  • "note": "",
  • "appliance_id": "39a656c5-b388-4eec-afd3-b3cbf4914ca5",
  • "cred_type": "amazons3",
  • "region_code": "string",
  • "skip_validation": false
}
Response samples
application/json
{
  • "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  • "state": "in_progress"
}
Copyright © 2025 Nasuni Corporation. All rights reserved.